FDIM(3)

NAME
fdim, fdimf, fdiml - positive difference functions

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
fdim(double x, double y);
float
fdimf(float x, float y);
long double
fdiml(long double x, long double y);

DESCRIPTION
The fdim(), fdimf(), and fdiml() functions return the positive difference between x and y. That is, if x-y is positive, then x-y is returned. If either x or y is an , then an is returned. Otherwise, the result is +0.0.

Overflow or underflow may occur iff the exact result is not representable in the return type. No other exceptions are raised.

SEE ALSO
fabs(3), fmax(3), fmin(3), math(3)

STANDARDS
The fdim(), fdimf(), and fdiml() functions conform to isoC-99.

HISTORY
These routines first appeared in FreeBSD 5.3.